package com.yonge.cooleshow.portal.dto;

import com.yonge.cooleshow.portal.domain.PmsPortalProductDetail;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-07-21
 */
@ApiModel("分享商品信息")
public class ShareProductVo implements Serializable {


    @ApiModelProperty("老师id")
    private Long teacherId;
    @ApiModelProperty("推荐老师姓名")
    private String name;

    @ApiModelProperty("推荐老师头像")
    private String avatar;

    @ApiModelProperty("二维码链接")
    private String url;

    @ApiModelProperty("商品信息")
    private PmsPortalProductDetail productDetail;

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public PmsPortalProductDetail getProductDetail() {
        return productDetail;
    }

    public void setProductDetail(PmsPortalProductDetail productDetail) {
        this.productDetail = productDetail;
    }
}
